SQLite3Result::columnType
SQLite3Result::finalize
SQLite3Result
PHP Manual

# SQLite3Result::fetchArray

(PHP 5 >= 5.3.0)

SQLite3Result::fetchArray — Fetches a result row as an associative or numerically indexed array or both

### Description

public array SQLite3Result::fetchArray ([ int `$mode` = SQLITE3_BOTH ] )

Fetches a result row as an associative or numerically indexed array or both. By default, fetches as both.

### Parameters

`mode`

  Controls how the next row will be returned to the caller. This value must be one of either SQLITE3_ASSOC, SQLITE3_NUM, or SQLITE3_BOTH.

  - SQLITE3_ASSOC: returns an array indexed by column name as returned in the corresponding result set

  - SQLITE3_NUM: returns an array indexed by column number as returned in the corresponding result set, starting at column 0

  - SQLITE3_BOTH: returns an array indexed by both column name and number as returned in the corresponding result set, starting at column 0

### Return Values

Returns a result row as an associatively or numerically indexed array or both.

SQLite3Result::columnType
SQLite3Result::finalize
SQLite3Result
PHP Manual